<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: admin.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once __DIR__.'/../../maincore.php';
require_once FUSION_ADMIN_HEADER;

pageAccess("WPM");

$locale = fusion_get_locale("", WPM_LOCALE);

add_breadcrumb(['link' => WPM_PATH.'admin.php'.fusion_get_aidlink(), 'title' => $locale['WPM_002']]);

$settings = get_settings("welcome_pm_panel");

if (check_post("savesettings")) {
    $inputArray = [
        'wp_active' => check_post('wp_active') ? 1 : 0,
        'wp_sbox'   => check_post('wp_sbox') ? 1 : 0
    ];

    if ( fusion_safe() ) {
        foreach ( $inputArray as $settings_name => $settings_value ) {
            $inputSettings = [
                'settings_name'  => $settings_name,
                'settings_value' => $settings_value,
                'settings_inf'   => "welcome_pm_panel"
            ];
            set_setting($settings_name, $settings_value, "welcome_pm_panel");
        }

        addnotice("success", $locale['WPM_008']);
        redirect(FUSION_REQUEST);
    }
}
if (check_post('delete_pmmessages')) {
    dbquery("UPDATE ".DB_USERS." SET user_welcome = :wpuser", [':wpuser' => '0']);
    addnotice('success', $locale['WPM_014']);
    redirect(FUSION_REQUEST);
}

opentable($locale['WPM_009']);
echo "<div class='well m-t-10'>".$locale['WPM_001']."</div>";
echo openform('settingsform', 'POST');
echo form_checkbox( 'wp_active', $locale['WPM_010'], $settings['wp_active'], [
    'inline' => TRUE,
    'toggle' => TRUE
] );
tablebreak();
echo form_checkbox( 'wp_sbox', $locale['WPM_011'], $settings['wp_sbox'], [
    'inline' => TRUE,
    'toggle' => TRUE
] );
tablebreak();
echo "<div class='display-flex flex-row'>";
    echo "<div class='col-8'>" . $locale['WPM_012'] . "</div>";
    echo form_button('delete_pmmessages', $locale['WPM_013'], $locale['WPM_013'], ['class' => 'btn-danger m-l-5', 'icon' => 'delete']);
echo "</div>";
echo form_button('savesettings', $locale['save'], $locale['save'], ['class' => 'btn-success']);
echo closeform();
closetable();

fusion_confirm_exit();
add_to_jquery("$('#delete_pmmessages').bind('click', function() { return confirm('" . $locale['WPM_015'] . "'); });");

require_once FUSION_FOOTER;
