<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$locale = fusion_get_locale( "", WPM_LOCALE );

$inf_title = $locale['WPM_000'];
$inf_description = $locale['WPM_001'];
$inf_version = "1.02";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = "welcome_pm_panel";
$inf_image = "wpm.png";

// Insert settings
$settings = [
    'wp_active' => 1,
    'wp_sbox'   => 1
];

foreach ( $settings as $name => $value ) {
    $inf_insertdbrow[] = DB_SETTINGS_INF . " (settings_name, settings_value, settings_inf) VALUES ('" . $name . "', '" . $value . "', '" . $inf_folder . "')";
}

if ( !column_exists( DB_USERS, 'user_welcome' ) ) {
    $inf_altertable[] = DB_USERS . " ADD user_welcome INT(1) UNSIGNED NOT NULL DEFAULT '0' AFTER user_theme";
}

$inf_insertdbrow[] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES ('" . $inf_title . "', '" . $inf_folder . "', '', '5', '3', 'file', '" . USER_LEVEL_MEMBER . "', '0', '1', '/index.php', '3', '" . fusion_get_settings('enabled_languages') . "')";

$enabled_languages = makefilelist( LOCALE, ".|..", TRUE, "folders" );
if ( !empty( $enabled_languages ) ) {
    foreach( $enabled_languages as $language ) {
        if ( file_exists( WPM_PATH . 'locale/' . $language . '/wpm.php' ) ) {
            include_once WPM_PATH . 'locale/' . $language . '/wpm.php';
        } else {
            include_once WPM_PATH . 'locale/Hungarian/wpm.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "WPM",
            'image'    => $inf_image,
            'title'    => $locale['WPM_000'],
            'panel'    => "admin.php",
            'page'     => 5,
            'language' => $language
        ];

        $mlt_deldbrow[$language][] = DB_ADMIN . " WHERE admin_rights = 'WPM' AND admin_language = '" . $language . "'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => "WPM",
        'image'    => $inf_image,
        'title'    => $locale['WPM_000'],
        'panel'    => "admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];
}

$inf_dropcol[] = ['table' => DB_USERS, 'column' => 'user_welcome'];
$inf_deldbrow[] = DB_SETTINGS_INF . " WHERE settings_inf = '" . $inf_folder . "'";
$inf_deldbrow[] = DB_PANELS . " WHERE panel_filename = '".$inf_folder."'";
$inf_deldbrow[] = DB_ADMIN . " WHERE admin_rights = 'WPM'";
