<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

use PHPFusion\Admins;

// Admin Settings
Admins::getInstance()->setAdminPageIcons( "WPM", "<i class='admin-ico fa fa-fw fa-book'></i>" );

// Locales
define( 'WPM_LOCALE', fusion_get_inf_locale_path( 'wpm.php', INFUSIONS . 'welcome_pm_panel/locale/' ) );

// Database
// Paths
const WPM_PATH = INFUSIONS . 'welcome_pm_panel/';

if ( defined( 'WELCOME_PM_PANEL_EXIST' ) ) {
    if ( iMEMBER ) {
        function welcomepm_home_module( $limit ) {
            if ( defined( "WELCOME_PM_PANEL_EXIST" ) ) {
                $locale = fusion_get_locale( '', WPM_LOCALE );
                $wpuser = fusion_get_userdata();
                $wpsettings = get_settings( "welcome_pm_panel" );
                if ( !empty( $wpsettings['wp_active'] ) && empty( $wpuser['user_welcome'] ) ) {
                    send_pm( $wpuser['user_id'], 0, $locale['WPM_005'], $locale['WPM_006'] );
                    if ( !empty( $wpsettings['wp_sbox'] ) && defined( "SHOUTBOX_PANEL_EXIST" ) ) {
                        $saveshout = [
                            'shout_id'        => '',
                            'shout_name'      => fusion_get_locale( '632', LOCALE.LOCALESET.'messages.php' ),
                            'shout_message'   => str_replace( ["[USERNAME]"], [$wpuser['user_name']], $locale['WPM_007'] ),
                            'shout_datestamp' => time(),
                            'shout_language'  => LANGUAGE
                        ];
                        dbquery_insert( DB_SHOUTBOX, $saveshout, 'save' );
                    }
                    dbquery( "UPDATE ".DB_USERS." SET user_welcome = :wpuser WHERE user_id = :userid LIMIT 1", [':wpuser' => '1', ':userid' => (int)$wpuser['user_id']] );
                }
            }
        }
        fusion_add_hook( 'home_modules', 'welcomepm_home_module' );
    }
}
